commit 8ed8fc1ad3f359780d53f618c8b2ed9a467b691a
Author: Eric Seigne <eric.seigne@ryxeo.com>
Date:   Sun Jun 10 15:28:52 2012 +0200

    correctif webalbumphoto -> webphotoalbum

diff --git a/main.cpp b/main.cpp
index d605378..1875b23 100644
--- a/main.cpp
+++ b/main.cpp
@@ -22,7 +22,7 @@
 
 #include "abuleduapplicationv1.h"
 #include "version.h"
-#include "webalbumphoto.h"
+#include "webphotoalbum.h"
 
 void debugOutput(QtMsgType type, const char *msg)
  {
@@ -52,7 +52,7 @@ int main(int argc, char *argv[])
 
     AbulEduApplicationV1 a(argc, argv,VER_INTERNALNAME_STR, VER_PRODUCTVERSION_STR, VER_COMPANYDOMAIN_STR, VER_COMPANYNAME_STR);
     a.setAbeApplicationLongName(QObject::trUtf8(VER_FILEDESCRIPTION_STR));
-    WebAlbumPhoto w;
+    WebPhotoAlbum w;
     w.show();
 
     return a.exec();
diff --git a/ryxeo-webphotoalbum.pro b/ryxeo-webphotoalbum.pro
index 26da267..06bcdf8 100644
--- a/ryxeo-webphotoalbum.pro
+++ b/ryxeo-webphotoalbum.pro
@@ -10,18 +10,18 @@ TARGET = ryxeo-webphotoalbum
 TEMPLATE = app
 
 SOURCES += main.cpp\
-        webalbumphoto.cpp \
+        webphotoalbum.cpp \
     assistant.cpp \
     tools.cpp \
     newalbumdialog.cpp
 
-HEADERS  += webalbumphoto.h \
+HEADERS  += webphotoalbum.h \
     assistant.h \
     tools.h \
     newalbumdialog.h \
     version.h
 
-FORMS    += webalbumphoto.ui \
+FORMS    += webphotoalbum.ui \
     assistant.ui \
     newalbumdialog.ui
 
diff --git a/version.h b/version.h
index 26e9e23..81e4762 100644
--- a/version.h
+++ b/version.h
@@ -8,13 +8,13 @@
 #define VER_PRODUCTVERSION_STR      "0.9.9\0"
 
 #define VER_COMPANYNAME_STR         "RyXeo SARL"
-#define VER_FILEDESCRIPTION_STR     "RyXéo -- WebAlbumPhoto"
-#define VER_INTERNALNAME_STR        "ryxeo-webalbumphoto"
+#define VER_FILEDESCRIPTION_STR     "RyXéo -- WebPhotoAlbum"
+#define VER_INTERNALNAME_STR        "ryxeo-webphotoalbum"
 #define VER_LEGALCOPYRIGHT_STR      "Copyright (c) 2012 RyXeo SARL"
 #define VER_LEGALTRADEMARKS1_STR    "All Rights Reserved"
 #define VER_LEGALTRADEMARKS2_STR    "License GNU/GPL v3"
-#define VER_ORIGINALFILENAME_STR    "ryxeo-webalbumphoto.exe"
-#define VER_PRODUCTNAME_STR         "RyXéo -- WebAlbumPhoto"
+#define VER_ORIGINALFILENAME_STR    "ryxeo-webphotoalbum.exe"
+#define VER_PRODUCTNAME_STR         "RyXéo -- WebPhotoAlbum"
 
 #define VER_COMPANYDOMAIN_STR       "ryxeo.com"
 
diff --git a/webalbumphoto.cpp b/webphotoalbum.cpp
similarity index 95%
rename from webalbumphoto.cpp
rename to webphotoalbum.cpp
index d03658b..ca2d882 100644
--- a/webalbumphoto.cpp
+++ b/webphotoalbum.cpp
@@ -20,8 +20,8 @@
   */
 
 
-#include "webalbumphoto.h"
-#include "ui_webalbumphoto.h"
+#include "webphotoalbum.h"
+#include "ui_webphotoalbum.h"
 
 
 //---------------------------------------------------------------------------
@@ -45,9 +45,9 @@ QString formatSize(qint64 num)
 // =========================================================================================================================
 
 
-WebAlbumPhoto::WebAlbumPhoto(QWidget *parent) :
+WebPhotoAlbum::WebPhotoAlbum(QWidget *parent) :
     QMainWindow(parent),
-    ui(new Ui::WebAlbumPhoto)
+    ui(new Ui::WebPhotoAlbum)
 {
     ui->setupUi(this);
 
@@ -111,12 +111,12 @@ WebAlbumPhoto::WebAlbumPhoto(QWidget *parent) :
     ui->lwPictures->setDropIndicatorShown(true);
 }
 
-       WebAlbumPhoto::~WebAlbumPhoto()
+       WebPhotoAlbum::~WebPhotoAlbum()
 {
     delete ui;
 }
 
-void WebAlbumPhoto::on_action_Nouvel_album_triggered()
+void WebPhotoAlbum::on_action_Nouvel_album_triggered()
 {
     m_currentProjectPictureNumber = 0;
     bool ok;
@@ -139,7 +139,7 @@ void WebAlbumPhoto::on_action_Nouvel_album_triggered()
 
 }
 
-void WebAlbumPhoto::on_treeWidget_itemClicked(QTreeWidgetItem *item, int column)
+void WebPhotoAlbum::on_treeWidget_itemClicked(QTreeWidgetItem *item, int column)
 {
     QFileInfo fi(ui->treeWidget->currentItem()->data(1,0).toString()+"/info.txt");
     qDebug() << "Lecture de " << fi.absoluteFilePath();
@@ -192,7 +192,7 @@ void WebAlbumPhoto::on_treeWidget_itemClicked(QTreeWidgetItem *item, int column)
     qDebug() << "Espace de stockage du projet " << m_currentProjectDir;
 }
 
-void WebAlbumPhoto::on_btnSave_clicked()
+void WebPhotoAlbum::on_btnSave_clicked()
 {
     QByteArray data;
     data.append(QString("name|%1\n").arg(ui->leTitre->text().trimmed()));
@@ -215,12 +215,12 @@ void WebAlbumPhoto::on_btnSave_clicked()
 }
 
 
-void WebAlbumPhoto::on_treeWidget_customContextMenuRequested(const QPoint &pos)
+void WebPhotoAlbum::on_treeWidget_customContextMenuRequested(const QPoint &pos)
 {
     m_menu->exec(ui->treeWidget->mapToGlobal(pos));
 }
 
-void WebAlbumPhoto::dragEnterEvent(QDragEnterEvent *event)
+void WebPhotoAlbum::dragEnterEvent(QDragEnterEvent *event)
 {
     if (event->mimeData()->hasUrls())
     {
@@ -232,7 +232,7 @@ void WebAlbumPhoto::dragEnterEvent(QDragEnterEvent *event)
     }
 }
 
-void WebAlbumPhoto::dropEvent(QDropEvent *event)
+void WebPhotoAlbum::dropEvent(QDropEvent *event)
 {
     qDebug() << "Accepte le drop d'une image";
 
@@ -255,7 +255,7 @@ void WebAlbumPhoto::dropEvent(QDropEvent *event)
     }
 }
 
-void WebAlbumPhoto::addPictureToProject(QString fic)
+void WebPhotoAlbum::addPictureToProject(QString fic)
 {
     ui->statusBar->clearMessage();
     ui->statusBar->showMessage(trUtf8("Fichier en cours: %1").arg(fic),3000);
@@ -379,7 +379,7 @@ void WebAlbumPhoto::addPictureToProject(QString fic)
     refreshPictureList();
 }
 
-void WebAlbumPhoto::refreshPictureList()
+void WebPhotoAlbum::refreshPictureList()
 {
     QTreeWidgetItem *item = ui->treeWidget->currentItem();
     ui->lwPictures->clear();
@@ -414,7 +414,7 @@ void WebAlbumPhoto::refreshPictureList()
     m_currentProjectPictureNumber = currentProjectPictureNumber+1;
 }
 
-void WebAlbumPhoto::on_btnUpload_clicked()
+void WebPhotoAlbum::on_btnUpload_clicked()
 {
     qDebug() << "on_btnUpload_clicked : " << ui->treeWidget->currentItem()->data(1,0).toString();
 
@@ -452,31 +452,31 @@ void WebAlbumPhoto::on_btnUpload_clicked()
     connect(m_tools, SIGNAL(signalUploadData(int,int)), this, SLOT(updateProgressData(int,int)));
 }
 
-void WebAlbumPhoto::on_action_Assistant_d_installation_triggered()
+void WebPhotoAlbum::on_action_Assistant_d_installation_triggered()
 {
     Assistant *a = new Assistant(this);
     a->show();
 }
 
-void WebAlbumPhoto::updateProgressFichier(int total, int current, QString fileName)
+void WebPhotoAlbum::updateProgressFichier(int total, int current, QString fileName)
 {
     ui->pbFTPFichier->setMaximum(total);
     ui->pbFTPFichier->setValue(current);
     ui->textBrowser->append(fileName + "\n");
 }
 
-void WebAlbumPhoto::updateProgressData(int total, int current)
+void WebPhotoAlbum::updateProgressData(int total, int current)
 {
     ui->pbFTPProgress->setMaximum(total);
     ui->pbFTPProgress->setValue(current);
 }
 
-void WebAlbumPhoto::makeZip(QString repSource, QString destFileName)
+void WebPhotoAlbum::makeZip(QString repSource, QString destFileName)
 {
     QApplication::setOverrideCursor(QCursor(Qt::WaitCursor));
     ui->statusBar->showMessage(QString::fromUtf8("Création du fichier ZIP %1 en cours").arg(destFileName), 5000);
     qApp->processEvents();
-    qDebug() << "WebAlbumPhoto::makeZip " << repSource << " :: " << destFileName;
+    qDebug() << "WebPhotoAlbum::makeZip " << repSource << " :: " << destFileName;
     //Creation d'une archive ZIP dans tous les cas
     QuaZip zipDestination(destFileName);
     if(zipDestination.open(QuaZip::mdCreate)) {
@@ -509,7 +509,7 @@ void WebAlbumPhoto::makeZip(QString repSource, QString destFileName)
     QApplication::restoreOverrideCursor();
 }
 
-void WebAlbumPhoto::uploadEnd()
+void WebPhotoAlbum::uploadEnd()
 {
     ui->textBrowser->append(trUtf8("Téléchargement terminé\n"));
 }
diff --git a/webalbumphoto.h b/webphotoalbum.h
similarity index 94%
rename from webalbumphoto.h
rename to webphotoalbum.h
index 315731b..96d2abf 100644
--- a/webalbumphoto.h
+++ b/webphotoalbum.h
@@ -45,16 +45,16 @@
 
 
 namespace Ui {
-  class WebAlbumPhoto;
+  class WebPhotoAlbum;
 }
 
-class WebAlbumPhoto : public QMainWindow
+class WebPhotoAlbum : public QMainWindow
 {
     Q_OBJECT
 
 public:
-  explicit WebAlbumPhoto(QWidget *parent = 0);
-  ~WebAlbumPhoto();
+  explicit WebPhotoAlbum(QWidget *parent = 0);
+  ~WebPhotoAlbum();
 
 private slots:
     void on_action_Nouvel_album_triggered();
@@ -78,7 +78,7 @@ private slots:
     void uploadEnd();
 
 private:
-    Ui::WebAlbumPhoto *ui;
+    Ui::WebPhotoAlbum *ui;
     QDir m_baseDir;
     QMenu *m_menu;
     QLabel *m_labelDeposez;
diff --git a/webalbumphoto.ui b/webphotoalbum.ui
similarity index 95%
rename from webalbumphoto.ui
rename to webphotoalbum.ui
index efc6f95..00fc9f0 100644
--- a/webalbumphoto.ui
+++ b/webphotoalbum.ui
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <ui version="4.0">
- <class>WebAlbumPhoto</class>
- <widget class="QMainWindow" name="WebAlbumPhoto">
+ <class>WebPhotoAlbum</class>
+ <widget class="QMainWindow" name="WebPhotoAlbum">
   <property name="geometry">
    <rect>
     <x>0</x>
@@ -387,7 +387,7 @@
   <connection>
    <sender>action_Quiter</sender>
    <signal>triggered()</signal>
-   <receiver>WebAlbumPhoto</receiver>
+   <receiver>WebPhotoAlbum</receiver>
    <slot>close()</slot>
    <hints>
     <hint type="sourcelabel">