commit d8ce3eb1f579184192210463e583ab85ce7faa1a
Author: Eric Seigne <eric.seigne@ryxeo.com>
Date:   Tue Jul 6 14:50:40 2010 +0200

    commande complète + mails

diff --git a/htdocs/epack/commande.php b/htdocs/epack/commande.php
index 377b6cf..d89abe3 100644
--- a/htdocs/epack/commande.php
+++ b/htdocs/epack/commande.php
@@ -22,17 +22,17 @@ if($_SESSION['epack_session'] > 0) {
     $login_email = $_SESSION['login_email'];
     $login_pass  = $_SESSION['login_pass'];
   }
-}
-else {
-  ereg(".*lepass=(.*).identifiant=(.*)",$_SERVER['REQUEST_URI'],$regs);
-  $lepass = addslashes($regs[1]);
-  $identifiant = addslashes(strtoupper($regs[2]));
-  //Ou du POST
-  if(trim($lepass) == "" || trim($identifiant) == "") {
-    $lepass = addslashes($_POST['lepass']);
-    $identifiant = addslashes(strtoupper($_POST['identifiant']));
-  }
-}
+ }
+ else {
+   ereg(".*lepass=(.*).identifiant=(.*)",$_SERVER['REQUEST_URI'],$regs);
+   $lepass = addslashes($regs[1]);
+   $identifiant = addslashes(strtoupper($regs[2]));
+   //Ou du POST
+   if(trim($lepass) == "" || trim($identifiant) == "") {
+     $lepass = addslashes($_POST['lepass']);
+     $identifiant = addslashes(strtoupper($_POST['identifiant']));
+   }
+ }
 $_SERVER['REQUEST_URI'] = "";
 $_SERVER['HTTP_REFERER'] = "";
 define('GLPI_ROOT', '..');
@@ -44,6 +44,14 @@ include "header.php";
 //print_r($_POST);
 //unset($_SESSION['epack_session']);
 
+//on a tout terminé et peut-être cliqué sur le lien "faire une nouvelle commande"
+if($_SESSION['epack_session'] == 4) {
+  if($_GET['cmd'] == "new")
+    $_SESSION['epack_session'] = 1;
+  else
+    $_SESSION['epack_session'] = 0;
+ }
+
 // On a remplis les coordonnées d'un revendeur
 if($_SESSION['epack_session'] == 3) {
   if( isset($_POST['modify']))
@@ -51,44 +59,68 @@ if($_SESSION['epack_session'] == 3) {
   else if( isset($_POST['confirm'])) {
     $_SESSION['epack_session'] = 4;
     
-    $message .= "<p>Merci,<br />cette commande est enregistré pour le revendeur <b>" . $_POST[''] . "</b>.</p>";
+    $message .= "<p>Merci,<br />cette commande est enregistré pour le revendeur <b>" . stripslashes($_SESSION['rvd_company']) . "</b>. Un courrier électronique vient de lui être envoyé à l'adresse " . stripslashes($_SESSION['rvd_email']) . " pour qu'il confirme son adresse de livraison.</p>
+
 
+<p>Vous pouvez <a href=\"" . $_SERVER['PHP_SELF'] . "?cmd=new\">faire une nouvelle commande</a> ou <a href=\"" . $_SERVER['PHP_SELF'] . "?reset=true\">fermer votre session</a>.</p>\n";
+    
     //Le mail d'info pour ryxéo
     $mail_content = "
 Bonjour,
-une nouvelle commande de epacks abuledu vient d'être faite
+une nouvelle commande de epacks abuledu vient d'être faite par " . stripslashes($_SESSION['login_email']) . "
+
+Contenu de la commande:
+ - Modèle de serveur       : " . stripslashes($_SESSION['rvd_srv']) . "
+ - Maquettes 15 pouces     : " . stripslashes($_SESSION['rvd_quinze']) . "
+ - Maquettes 10 pouces     : " . stripslashes($_SESSION['rvd_dix']) . "
+ - Nombre de ePacks        : " . stripslashes($_SESSION['rvd_nb_epack']) . "
+ - Durée de la maintenance : " . stripslashes($_SESSION['rvd_duree_maint']) . "
+
+Revendeur:
+" . stripslashes($_SESSION['rvd_company']) . "
+" . stripslashes($_SESSION['rvd_adresse']) . "
+" . stripslashes($_SESSION['rvd_cp']) . " " . stripslashes($_SESSION['rvd_ville']) . "
+" . stripslashes($_SESSION['rvd_email']) . "
+" . stripslashes($_SESSION['rvd_web']) . "
+" . stripslashes($_SESSION['rvd_tel']) . "
+" . stripslashes($_SESSION['rvd_fax']) . "
 
-le pack $pass :: $code a été créé à l'instant avec le compte utilisateur suivant:
-" . addslashes($_SESSION['login_email']) . "
-pour le client final suivant:
-" . addslashes($data2['name']) . "
-" . addslashes($data2['address']) . "
-" . addslashes($data2['postcode']) . " " . addslashes($data2['town']) . "
-tel: " . addslashes($data2['phonenumber']) . " fax: " . addslashes($data2['fax']) . "
-email: " . addslashes($data2['email']) . "
+Commentaires;
+" . stripslashes($_SESSION['commentaires']) . "
 
-Allez sur https://secure.ryxeo.com/glpi/index2.php dans le plugin anet_epack à la recherche du pack
-en question et cliquez sur le lien epack activé, sauvegardez ce fichier et envoyez en une version PDF
-à cet installateur.
+Vous devez maintenant attendre le mail de confirmation du revendeur, si jamais il n'a pas donné signe de vie dans les 12 heures il faudra probablement lui téléphoner (soit il n'aura pas reçu le mail, soit partis dans les spams soit ...), une fois la commande confirmée par le revendeur (surtout, son adresse de livraison) il faudra faire le colis et \"charger\" le compte du grossiste pour la facture finale.
 
 --
 abuledu.net est un service de RyXéo SARL, société éditrice d'AbulÉdu
 
 ";
-    ryxeo_mail($_SESSION['login_email'],$mail_content,"contact@ryxeo.com","Nouveau pack activé sur abuledu.net");
+    ryxeo_mail($_SESSION['login_email'],$mail_content,"commercial@ryxeo.com","Nouveau epack commandé sur abuledu.net");
 
 
     //L'accusé pour la personne qui vient de faire l'enregistrement ...
+
     $mail_content = "
 Bonjour,
-vous venez d'activer le pack $pass :: $code à l'instant avec le compte utilisateur suivant:
-" . addslashes($_SESSION['login_email']) . "
-pour le client final:
-" . addslashes($data2['name']) . "
-" . addslashes($data2['address']) . "
-" . addslashes($data2['postcode']) . " " . addslashes($data2['town']) . "
-tel: " . addslashes($data2['phonenumber']) . " fax: " . addslashes($data2['fax']) . "
-email: " . addslashes($data2['email']) . "
+une nouvelle commande de epacks abuledu vient d'être faite par " . stripslashes($_SESSION['login_email']) . "
+
+Contenu de la commande:
+ - Modèle de serveur       : " . stripslashes($_SESSION['rvd_srv']) . "
+ - Maquettes 15 pouces     : " . stripslashes($_SESSION['rvd_quinze']) . "
+ - Maquettes 10 pouces     : " . stripslashes($_SESSION['rvd_dix']) . "
+ - Nombre de ePacks        : " . stripslashes($_SESSION['rvd_nb_epack']) . "
+ - Durée de la maintenance : " . stripslashes($_SESSION['rvd_duree_maint']) . "
+
+Revendeur:
+" . stripslashes($_SESSION['rvd_company']) . "
+" . stripslashes($_SESSION['rvd_adresse']) . "
+" . stripslashes($_SESSION['rvd_cp']) . " " . stripslashes($_SESSION['rvd_ville']) . "
+" . stripslashes($_SESSION['rvd_email']) . "
+" . stripslashes($_SESSION['rvd_web']) . "
+" . stripslashes($_SESSION['rvd_tel']) . "
+" . stripslashes($_SESSION['rvd_fax']) . "
+
+Commentaires;
+" . stripslashes($_SESSION['commentaires']) . "
 
 L'équipe de validation de RyXéo a été informée de cette activation.
 
@@ -96,8 +128,7 @@ L'équipe de validation de RyXéo a été informée de cette activation.
 abuledu.net est un service de RyXéo SARL, société éditrice d'AbulÉdu
 
 ";
-    ryxeo_mail("anet@ryxeo.com",$mail_content,$_SESSION['login_email'], $code . " :: Nouveau pack activé sur abuledu.net");  
-
+    ryxeo_mail("commercial@ryxeo.com",$mail_content,$_SESSION['login_email'], "Nouveau epack AbulEdu commandé sur abuledu.net");  
 
   }
   else
@@ -132,59 +163,59 @@ if($_SESSION['epack_session'] == 2) {
 </tr>
 <tr>
   <td>Entreprise</td>
-  <td>" . $_SESSION['rvd_company'] . "</td>
+  <td>" . stripslashes($_SESSION['rvd_company']) . "</td>
 </tr>
 <tr>
   <td>Email (adresse générique de l'entreprise)</td>
-  <td>" . $_SESSION['rvd_email'] . "</td>
+  <td>" . stripslashes($_SESSION['rvd_email']) . "</td>
 </tr>
 <tr>
   <td>Site web</td>
-  <td>" . $_SESSION['rvd_web'] . "</td>
+  <td>" . stripslashes($_SESSION['rvd_web']) . "</td>
 </tr>
 <tr>
   <td>Tel</td>
-  <td>" . $_SESSION['rvd_tel'] . "</td>
+  <td>" . stripslashes($_SESSION['rvd_tel']) . "</td>
 </tr>
 <tr>
   <td>Fax</td>
-  <td>" . $_SESSION['rvd_fax'] . "</td>
+  <td>" . stripslashes($_SESSION['rvd_fax']) . "</td>
 </tr>
 <tr>
   <td>Adresse</td>
-  <td>" . $_SESSION['rvd_adresse'] . "</td>
+  <td>" . stripslashes($_SESSION['rvd_adresse']) . "</td>
 </tr>
 <tr>
   <td>Code postal</td>
-  <td>" . $_SESSION['rvd_cp'] . "</td>
+  <td>" . stripslashes($_SESSION['rvd_cp']) . "</td>
 </tr>
 <tr>
   <td>Ville</td>
-  <td>" . $_SESSION['rvd_ville'] . "</td>
+  <td>" . stripslashes($_SESSION['rvd_ville']) . "</td>
 </tr>
 <tr>
   <td>Nombre de ePacks pour ce revendeur ?</td>
-  <td>" . $_SESSION['rvd_nb_epack'] . "</td>
+  <td>" . stripslashes($_SESSION['rvd_nb_epack']) . "</td>
 </tr>
 <tr>
   <td>Type et modèle de serveur</td>
-  <td>" . $_SESSION['rvd_srv'] . "</td>
+  <td>" . stripslashes($_SESSION['rvd_srv']) . "</td>
 </tr>
 <tr>
   <td>Type et modèle de portables 15 pouces</td>
-  <td>" . $_SESSION['rvd_quinze'] . "</td>
+  <td>" . stripslashes($_SESSION['rvd_quinze']) . "</td>
 </tr>
 <tr>
   <td>Type et modèle de portables 10 pouces</td>
-  <td>" . $_SESSION['rvd_dix'] . "</td>
+  <td>" . stripslashes($_SESSION['rvd_dix']) . "</td>
 </tr>
 <tr>
   <td>Durée de maintenance</td>
-  <td>" . $_SESSION['rvd_duree_maint'] . "</td>
+  <td>" . stripslashes($_SESSION['rvd_duree_maint']) . "</td>
 </tr>
 <tr>
   <td>Commentaires</td>
-  <td>" . $_SESSION['commentaires'] . "</td>
+  <td>" . stripslashes($_SESSION['commentaires']) . "</td>
 </tr>
 <tr>
   <td colspan=\"3\" style=\"text-align: center;\"><input name=\"modify\" type=\"submit\" value=\"Modifier la commande\"> - <input name=\"confirm\" type=\"submit\" value=\"Commande définitive\"></td>
@@ -209,6 +240,9 @@ WHERE gu.name='" . $login_email . "' AND gu.password_md5='" . md5($login_pass) .
       $_SESSION['login_email'] = $login_email;
       $_SESSION['login_pass']  = $login_pass;
 
+      if(! isset($_SESSION['rvd_nb_epack]']))
+	 $_SESSION['rvd_nb_epack'] = 1;
+
       $message .= "<div>
 <h2>Nouvelle commande de ePack AbulÉdu</h2>
 <p>Merci de compléter le formulaire ci-dessous en indiquant les coordonnées de votre client (revendeur informatique, pas celles du client final).</p>
@@ -223,7 +257,7 @@ WHERE gu.name='" . $login_email . "' AND gu.password_md5='" . md5($login_pass) .
 </tr>
 <tr>
   <td>Entreprise</td>
-  <td><input type=\"text\" name=\"rvd_company\" class=\"validate required none companymsg\" value=\"" . $_SESSION['rvd_company'] . "\"></td>
+  <td><input type=\"text\" name=\"rvd_company\" class=\"validate required none companymsg\" value=\"" . stripslashes($_SESSION['rvd_company']) . "\"></td>
   <td id=\"companymsg\" class=\"rules\">Requis</td>
 </tr>
 <tr>
@@ -375,7 +409,9 @@ if(!isset($_SESSION['epack_session']) || ($_SESSION['epack_session'] == 0)){
  </td>
 </tr>
 <tr>
- <td align=\"center\" colspan=\"2\"> <input type=\"submit\" value=\"Ouvrir une session\"> </td>
+ <td align=\"center\" colspan=\"2\">
+   <input type=\"submit\" value=\"Ouvrir une session\">
+ </td>
 </tr>
 </table>
 </form>\n";